> For the complete documentation index, see [llms.txt](https://docs.openreview.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.openreview.net/v1/how-to-guides/paper-matching-and-assignment/how-to-do-automatic-assignments.md).

# How to do automatic assignments

Venues that selected 'Automatic' for 'Submission Reviewer Assignment' in the venue request form will have the option to use automatic assignment by doing the following:

1. Make sure your submission deadline has passed.
2. [Calculate affinity scores and conflicts using Paper Matching Setup](/v1/how-to-guides/paper-matching-and-assignment/how-to-do-automatic-assignments/how-to-setup-paper-matching-by-calculating-affinity-scores-and-conflicts.md).
3. [Run a matching](/v1/how-to-guides/paper-matching-and-assignment/how-to-do-automatic-assignments/how-to-run-a-paper-matching.md).
4. [Modify and finalize the proposed assignments](/v1/how-to-guides/paper-matching-and-assignment/how-to-do-automatic-assignments/how-to-modify-the-proposed-assignments.md).
5. [Deploy the proposed assignments](/v1/how-to-guides/paper-matching-and-assignment/how-to-do-automatic-assignments/how-to-deploy-the-proposed-assignments.md).

{% hint style="info" %}
You will have to perform all these steps for Senior Area Chairs, then for Area Chairs and Reviewers. Depending on your venue, the names of these groups may vary.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.openreview.net/v1/how-to-guides/paper-matching-and-assignment/how-to-do-automatic-assignments.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
